<?php

add_action( 'wp_ajax_pd_woo_order_change_visibility', 'pd_woo_order_change_visibility_cb' );
add_action( 'wp_ajax_nopriv_pd_woo_order_change_visibility', 'pd_woo_order_change_visibility_cb' );

function pd_woo_order_change_visibility_cb() {

	if (isset($_POST)) {

		$post_id = $_POST['post_id'];
		$pd_status_visibility = $_POST['pd_status_visibility'];

		$modified_meta = get_post_meta( $post_id, '_pd_woo_order_tracking_status_meta', false )[0];
		$modified_meta['pd_status_visibility'] = $pd_status_visibility;

		echo update_post_meta( $post_id, '_pd_woo_order_tracking_status_meta', $modified_meta );
	}
	die();
}