<?php

/**
 * @link https://proficientdesigners.com/
 *
 * @package Proficient Designers Plugin
 * @subpackage pd Woo Tracking Order
 * @since 1.0.0
 * @version 1.0.0
 */
?>

<div class="wrap">

	<?php
	$active_tab = isset($_GET['tab']) ? $_GET['tab'] : 'default';
	?>

	<h2 class="nav-tab-wrapper">
		<a href="edit.php?post_type=pd_tracking_order&page=pd-woo-tracking-order-settings&tab=carriers" class="nav-tab <?php echo $active_tab == 'carriers' || $active_tab == 'default' ? 'nav-tab-active' : ''; ?>">Carrier(s) List</a>
		<a href="edit.php?post_type=pd_tracking_order&page=pd-woo-tracking-order-settings&tab=settings" class="nav-tab <?php echo $active_tab == 'settings' ? 'nav-tab-active' : ''; ?>">Global Settings</a>
		<a href="edit.php?post_type=pd_tracking_order&page=pd-woo-tracking-order-settings&tab=placeholder" class="nav-tab <?php echo $active_tab == 'placeholder' ? 'nav-tab-active' : ''; ?>">Placeholder(s)</a>
	</h2>

	<div id="pd-Woo-Tracking-Order-Status-Settings" class="card">

		<?php

		settings_errors();

		switch ($active_tab) {

			case 'settings':
				ob_start();
				require plugin_dir_path(__FILE__) . 'inc/settings.php';
				ob_get_contents();
				break;

			case 'placeholder':
				ob_start();
				require plugin_dir_path(__FILE__) . 'inc/placeholder.php';
				ob_get_contents();
				break;

			default:
				ob_start();
				require plugin_dir_path(__FILE__) . 'inc/carriers.php';
				ob_get_contents();
				break;
		}

		wp_nonce_field('pd_woo_tracking_order_settings_nonce', 'pd-Woo-Tracking-Order-All-Settings');
		?>

	</div>

</div>