<?php

add_action('wp_ajax_pd_woo_order_metabox_save', 'pd_woo_order_metabox_save_cb');
add_action('wp_ajax_nopriv_pd_woo_order_metabox_save', 'pd_woo_order_metabox_save_cb');

function pd_woo_order_metabox_save_cb()
{

	if (isset($_POST)) {

		$arr = json_decode(stripcslashes($_POST['data']));

		$order_id = $arr->post_id;

		$order_meta = [
			'send_email' 							=> sanitize_text_field($arr->send_email),
			'custom_order_status' 					=> sanitize_text_field($arr->custom_order_status),
			'carrier_name' 							=> sanitize_text_field($arr->carrier_name),
			'carrier_pickup_date' 					=> sanitize_text_field($arr->carrier_pickup_date),
			'carrier_tracking_id' 					=> sanitize_text_field($arr->carrier_tracking_id),
			'custom_order_status_front_visibilty' 	=> $arr->custom_order_status_front_visibilty
		];

		update_post_meta($order_id, '_pd_woo_tracking_order_details', $order_meta);

		$email = new pd_Woo_Tracking_Send_Email();

		echo json_encode($email->send_email_on_order_placed($order_id));
	}
	die();
}
