let order_tracker = document.querySelector('.order-tracking-wrapper'),
	all_tracks = order_tracker.querySelectorAll('.order-tracking'),
	active_track = order_tracker.querySelector('.order-tracking.present');

const pd_woo_get_prev_order_tracker = (track) => {
	if (track.previousElementSibling != null) {
		let e = track.previousElementSibling;
		e.classList.add('past');
		pd_woo_get_prev_order_tracker(e);
	}
}

const pd_woo_get_next_order_tracker = (track) => {
	if (track.nextElementSibling != null) {
		let e = track.nextElementSibling;
		e.classList.add('future');
		pd_woo_get_next_order_tracker(e);
	}
}

if (active_track.previousElementSibling) {
	pd_woo_get_prev_order_tracker(active_track);
}

if (active_track.nextElementSibling) {
	pd_woo_get_next_order_tracker(active_track);
}

for (const e of all_tracks) {

	let present = e.classList.contains('present'),
		past = e.classList.contains('past'),
		future = e.classList.contains('future'),
		title = e.querySelector('.track-cont .track-title'),
		msg = e.querySelector('.track-cont .track-txt'),
		past_title = title.getAttribute('data-past'),
		present_title = title.getAttribute('data-present'),
		future_title = title.getAttribute('data-future'),
		past_msg = msg.getAttribute('data-past'),
		present_msg = msg.getAttribute('data-present'),
		future_msg = msg.getAttribute('data-future');

	if (present) {
		title.innerHTML = present_title;
		msg.innerHTML = present_msg;
	}
	if (past) {
		title.innerHTML = past_title;
		msg.innerHTML = past_msg;
	}
	if (future) {
		title.innerHTML = future_title;
		msg.innerHTML = future_msg;
	}
}

for (const e of all_tracks) {
	let active = e.classList.contains('present');
	e.classList.add('passed');
	if (active) {
		e.classList.add('passed');
		break;
	}
}